#!/usr/bin/make -f

DEB_DESTDIR=$(CURDIR)/debian/ocamlweb
BUILD_DATE=$(shell dpkg-parsechangelog --show-field Date)

%:
	dh $@ --with ocaml,tex

# test target is currently broken
override_dh_auto_test:

override_dh_auto_configure:
	./configure \
	 	--prefix=$(DEB_DESTDIR)/usr/\
		--mandir=$(DEB_DESTDIR)/usr/share/man

override_dh_auto_build:
	$(MAKE) BUILD_DATE="$(BUILD_DATE)"

# UPDATETEX: executed after installation of tex files
override_dh_auto_install:
	$(MAKE) install UPDATETEX=true
